name, description (1–512 characters), onchain_image (an http(s) URL), collection_address — a collection owned by the JWT wallet; empty = a standalone NFT.nft_address. Use a V4R2 wallet.{"code":…,"message":…})| Code | When |
|---|---|
unauthenticated (401) | missing or expired JWT |
invalid_argument (400) | the image URL is not valid |
aborted (409) | insufficient funds |
failed_precondition (412) | the wallet is not the collection owner, or check mint parameters |
Authorization: Bearer ********************{
"collection_address": "EQCD39VS5jcptHL8vMjEXrzGaRcCVYto7HUn4bpAOg8xqB2N",
"description": "This is really super!",
"name": "Super NFT",
"onchain_image": "https://avatars.mds.yandex.net/get-mpic/5283122/2a00000190ab13989b372dc056c45244f7a0/90x120"
}curl --location 'https://app.apiton.org/v2.NftContract/MintNft' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"collection_address": "EQCD39VS5jcptHL8vMjEXrzGaRcCVYto7HUn4bpAOg8xqB2N",
"description": "This is really super!",
"name": "Super NFT",
"onchain_image": "https://avatars.mds.yandex.net/get-mpic/5283122/2a00000190ab13989b372dc056c45244f7a0/90x120"
}'{
"nft_address": "string"
}